

local require, ipairs, pcall = require, ipairs, pcall
local srv = require "luci.lucid.http.server"

module "luci.lucid.http"
function factory(publisher)
	local server = srv.Server()
	for _, r in ipairs(publisher) do
		local t = r[".type"]
		local s, mod = pcall(require, "luci.lucid.http." .. (r[".type"] or ""))
		if s and mod then
			mod.factory(server, r)
		else
			return nil, mod
		end
	end

	return function(...) return server:process(...) end
end