

local ipairs = ipairs
local catchall = require "luci.lucid.http.handler.catchall"
local srv = require "luci.lucid.http.server"

module "luci.lucid.http.Redirector"
function factory(server, config)
	config.domain = config.domain or ""
	local vhost = server:get_vhosts()[config.domain] 
	if not vhost then
		vhost = srv.VHost()
		server:set_vhost(config.domain, vhost)
	end

	local handler = catchall.Redirect(config.name, config.physical)
	vhost:set_handler(config.virtual or "", handler)
end
